%define oname	ladspa_sdk

Summary:	LADSPA SDK example plugins
Name:		ladspa
Version:	1.13
Release:	%mkrel 6
Source0:	http://www.ladspa.org/download/%{oname}_%version.tgz
Source1:	ladspa.sh.bz2
Source2:	ladspa.csh.bz2
License:	LGPLv2+
Group:		Sound/Utilities
URL:		http://www.ladspa.org

#for mkdirhier
BuildRequires:	imake

%description
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

This package contains the example plugins from the LADSPA SDK.

%package devel
Summary:	Linux Audio Developer's Simple Plugin API
Group:		Development/C
Requires:	%name = %version
%description devel
There is a large number of synthesis packages in use or development on
the Linux platform at this time. The Linux Audio Developer's Simple
Plugin API (LADSPA) attempts to give programmers the ability to write
simple `plugin' audio processors in C/C++ and link them dynamically
against a range of host applications.

Definitive technical documentation on LADSPA plugins for both the host
and plugin is contained within copious comments within the ladspa.h
header file.

%prep
%setup -q -n %oname
cd doc
#fix links to the header file in the docs
perl -pi -e "s!HREF=\"ladspa.h.txt\"!href=\"file:///usr/include/ladspa.h\"!" *.html

%build
cd src
%make targets

%install
cd src
%makeinstall INSTALL_PLUGINS_DIR=%buildroot%_libdir/ladspa INSTALL_INCLUDE_DIR=%buildroot%_includedir INSTALL_BINARY_DIR=%buildroot%_bindir
install -d -m 755 %buildroot%_sysconfdir/profile.d
bzcat %SOURCE1 > %buildroot%_sysconfdir/profile.d/ladspa.sh
bzcat %SOURCE2 > %buildroot%_sysconfdir/profile.d/ladspa.csh
#gw replace lib by lib64 if needed
perl -pi -e "s!/usr/lib!%_libdir!" %buildroot%_sysconfdir/profile.d/ladspa*sh

%files
%doc doc/COPYING
%attr(644,root,root) %_sysconfdir/profile.d/ladspa*sh
%_libdir/ladspa
%_bindir/*

%files devel
%doc doc/*.html doc/COPYING
%_includedir/ladspa.h


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.13-6.mga3
+ Revision: 356634
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 barjac <barjac> 1.13-5.mga3
+ Revision: 344281
- update group
- spec clean

* Tue Jan 18 2011 tmb <tmb> 1.13-4.mga1
+ Revision: 23105
- imported package ladspa

